<?php
/*################################################
@author: Code Tecnologia
@date: 25/03/2019
@version: 1.00
@purpose: Classe responsavel por cadastrar um parceiro

Resposta esperada:
{
 "erro": false,
 "mensagem":"Indicação excluída com sucesso"
}
*/
  
################################################*/

include_once("connect.php");

//Funcao para exibir o json
function exibir_json($json){
    $echo_json = json_encode($json);
    $json = array_map('utf8_encode', $json);
	echo $echo_json;
}

//Verificando se a mensagem foi transmitida por POST
if(strcasecmp($_SERVER['REQUEST_METHOD'], 'POST') != 0){  
    $status = array(
				'erro' => 'true',
				'mensagem' => 'O formato recebido nao e um POST');
    //$json = json_encode($status);
	exibir_json($status);
    exit(0);
}

//Verificando se o Content-type é 'application/json'
/*
$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
if(strcasecmp($contentType, 'application/json') != 0){
    $status = array(
				'erro' => 'true',
				'mensagem' => 'O tipo da mensagem está incorreto.');
    $json = json_encode($status);
	exibir_json($json);
    exit(0);
}
*/



//recebendo a requisicao
$content = file_get_contents("php://input");
$content = utf8_encode($content); //evita erros


  //obtendo informacoes do Header da mensagem
	$idusuarioindicado = isset($_SERVER["HTTP_IDUSUARIOINDICADO"]) ? trim($_SERVER["HTTP_IDUSUARIOINDICADO"]) : '';
	
	//Caso o mobile passe a variavel sem valor para atualizacao.
	if (empty($idusuarioindicado)){
		$status = array(
					'erro' => 'true',
					'mensagem' => 'Nao foi indicado um prospect para eliminacao');
		  //$json = json_encode($status);
		  //enviarCurl($url,$json);
		  exibir_json($status);
		  exit(0);
	}else{
			$excluir_indicacao = "update clientes set st_ativo = 0 
								   where id = $idusuarioindicado";
		
		/*
		echo $manter_parceiro;
		exit(0);
		*/
		
		}
		mysqli_query($conexao, $excluir_indicacao) or die ($conexao);
		
                
                $status = array( 'erro' => 'false'
    				    ,'mensagem' => 'Indicacao excluida com sucesso.'
    				    );
                //$json = json_encode($status);
            	exibir_json($status);
                exit(0);
            
        
	


?>